! Copyright 2023-2024 Free Software Foundation, Inc.
!
! This program is free software; you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2 of the License, or
! (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

program intrinsic_precedence
    implicit none
    integer(kind=4) LOC,  ubound, minus
    LOC = 17
    ubound = 79
    minus = -1
    print *, minus, LOC, ubound
    call abs(minus) !all-assigned
contains
    subroutine abs(i)
        integer(kind=4) :: i
        if(i .lt. 0) then
            i = -i
        endif
        print *, i !user-abs
    end subroutine abs
end program intrinsic_precedence
